Ticket #36406

Disk Not Found

Eröffnet am: 2016-06-21 17:50 Letztes Update: 2016-08-20 07:44

Auswertung:
Verantwortlicher:
Status:
Offen [Owner assigned]
Komponente:
(Keine)
Meilenstein:
(Keine)
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Keine
Datei:
Keine

Details

CrystalDiskInfo works great in most cases. However, it could not find the following primary storage device on the Dell XPS 13 9350. Can this storage device be added to this awesome program?

https://www.amazon.com/Samsung-PM951-512GB-Solid-MZVLV512HCJH-00000/dp/B0179DQM34

Ticket-Verlauf (3/13 Historien)

2016-06-21 17:50 Aktualisiert von: hkok
  • New Ticket "Disk Not Found" created
2016-06-21 22:29 Aktualisiert von: None
Kommentar

Maybe the ticket subject should be changed add support for M.2 PCIe SSD.

http://www.anandtech.com/show/10437/samsung-sm961-price-and-availability-outlook

2016-06-30 17:14 Aktualisiert von: None
Kommentar

Confirm this is not working on CrystalDiskInfo 7.0.0 (Release Date: 2016-06-20)

2016-08-17 10:12 Aktualisiert von: hkok
Kommentar

Although 7.0.0 history/release notes had announced to officially support NVMe, it still didn't work for me for PM951. I have confirmed 7.0.2 still cannot find the disk. Let's hope 7.0.3 can offer some miracles.

http://crystalmark.info/software/CrystalDiskInfo/manual-en/History.html

2016-08-18 00:48 Aktualisiert von: hiyohiyo
Kommentar

Please send the debug log by e-mail.

How to create debug log... http://crystalmark.info/software/CrystalDiskInfo/manual-en/Contact.html

2016-08-18 19:22 Aktualisiert von: hkok
Kommentar

I try to send to the mailing address as in your contact but it bounced, so I am attaching the debug log here.

00000000 CreateMutex 00004969 AfxOleInit() 00007078 AfxOleGetMessageFilter()->SetMessagePendingDelay 00008719 AfxOleGetMessageFilter()->EnableNotRespondingDialog(FALSE) 00010141 AfxOleGetMessageFilter()->EnableBusyDialog(FALSE) 00010938 CDialogCx::CDialogCx 00012078 CMainDialog::CMainDialog 00012813 CDiskInfoDlg::CDiskInfoDlg 00013516 CDiskInfoDlg::CDiskInfoDlg 00014203 dlg.DoModal() 00015235 InitAta 00016375 CAtaSmart::Init WMI on - Start 00017313 CoInitializeSecurity() 00017969 CoCreateInstance() 00018531 ConnectServer() 00019078 CoSetProxyBlanket() 00019578 OK:WMI Init 00020125 OK:Win32_IDEController 00020766 OK:Win32_SCSIController 00021235 --ControllerMap--

- Microsoft Storage Spaces Controller SCSI + Intel Chipset SATA RAID Controller SCSI
- NVMe PM951 NVMe SAMSU

00022235 OK:Win32_USBController 00023344 WakeUp(0) 00024078 DO:SELECT * FROM Win32_DiskDrive 00025641 OK1:SELECT * FROM Win32_DiskDrive 00026266 while(pEnumCOMDevs ... 00026906 diskSize:512105932800 00027547 deviceId:\\.\PHYSICALDRIVE0 00028094 model:NVMe PM951 NVMe SAMSU 00028594 mediaType:Fixed hard disk media 00028985 interfaceTypeWmi:SCSI 00029235 pnpDeviceId:SCSI\DISK&VEN_NVME&PROD_PM951_NVME_SAMSU\4&777AAD5&0&050000 00030313 DO:GetDiskInfo pd=0, sp=0, st=0, mt=fixed hard disk media 00031750 INTERFACE_TYPE_NVME 00032594 flagTarget && GetDiskInfo 00033110 GetDiskInfo 00033719 DoIdentifyDeviceNVMeStorageQuery 00034235 DoIdentifyDeviceNVMeSamsung 00034922 DoIdentifyDeviceNVMeIntel 00035391 else (USB-HDD) 00036047 uReturned != 1 00036516 OK2:SELECT * FROM Win32_DiskDrive 00037110 USB-HDD Check 00037610 Check Bus Type 00038156 DO:GetDiskInfo 00038625 GetDiskInfo 00039110 DoIdentifyDevicePd(0, 0xA0) - 1 00039516 SendAtaCommandPd - IDENTIFY_DEVICE (ATA_PASS_THROUGH) 00039891 SendAtaCommandPd - IDENTIFY_DEVICE 00040188 AddDisk(0, -1, -1) - 6 00040438 OK:GetDiskInfo - PhysicalDrive 00040688 OK:qsort 00040938 Drive Letter Mapping - Start 00041438 A:\ 00041844 Drive Letter Mapping - != DRIVE_FIXED 00042078 B:\ 00042375 Drive Letter Mapping - != DRIVE_FIXED 00042656 C:\ 00042891 \\.\C: 00043094 volumeDiskExtents.NumberOfDiskExtents = 1 00043266 n = 0, pDiskExtent->DiskNumber = 0 00043453 D:\ 00043641 Drive Letter Mapping - != DRIVE_FIXED 00043813 E:\ 00044016 Drive Letter Mapping - != DRIVE_FIXED 00044219 F:\ 00044406 Drive Letter Mapping - != DRIVE_FIXED 00044610 G:\ 00044781 Drive Letter Mapping - != DRIVE_FIXED 00046078 H:\ 00047375 Drive Letter Mapping - != DRIVE_FIXED 00048844 I:\ 00049281 Drive Letter Mapping - != DRIVE_FIXED 00049688 J:\ 00049875 Drive Letter Mapping - != DRIVE_FIXED 00050063 K:\ 00050235 Drive Letter Mapping - != DRIVE_FIXED 00050438 L:\ 00050594 Drive Letter Mapping - != DRIVE_FIXED 00050797 M:\ 00050985 Drive Letter Mapping - != DRIVE_FIXED 00051141 N:\ 00051344 Drive Letter Mapping - != DRIVE_FIXED 00051516 O:\ 00051735 Drive Letter Mapping - != DRIVE_FIXED 00053297 P:\ 00053485 Drive Letter Mapping - != DRIVE_FIXED 00053656 Q:\ 00054031 Drive Letter Mapping - != DRIVE_FIXED 00054235 R:\ 00054391 Drive Letter Mapping - != DRIVE_FIXED 00054594 S:\ 00054797 Drive Letter Mapping - != DRIVE_FIXED 00055000 T:\ 00055203 Drive Letter Mapping - != DRIVE_FIXED 00055344 U:\ 00055625 Drive Letter Mapping - != DRIVE_FIXED 00055813 V:\ 00056016 Drive Letter Mapping - != DRIVE_FIXED 00056250 W:\ 00056453 Drive Letter Mapping - != DRIVE_FIXED 00056688 X:\ 00056844 Drive Letter Mapping - != DRIVE_FIXED 00057063 Y:\ 00057281 Drive Letter Mapping - != DRIVE_FIXED 00057485 Z:\ 00057703 Drive Letter Mapping - != DRIVE_FIXED 00057969 Drive Letter Mapping - End 00058188 CAtaSmart::Init - Complete 00058610 CheckResident() 00058906 AutoAamApmAdaption() 00059172 UpdateShareInfo() 00059406 RegisterDeviceNotification 00059656 InitDialogComplete 00059860 CheckStartup 00060094 CheckHideSerialNumber 00060406 ChangeZoomType 00060719 UpdateDialogSize 00061141 ChangeLang 00061531 CheckPage() 00061844 CenterWindow() 00062141 ShowWindow(SW_SHOW) 00062344 SetWindowTitle()

2016-08-18 19:25 Aktualisiert von: hkok
Kommentar

The PM951 NVMe is mapped as C:\ drive.

2016-08-19 01:24 Aktualisiert von: hiyohiyo
Kommentar

Intel Chipset SATA RAID Controller SCSI

- NVMe PM951 NVMe SAMSU

is little storange...

Is your PM951 AHCI or RAID mode???

Normal NVMe drives under "Standard NVM Express Controller".

2016-08-19 02:22 Aktualisiert von: None
Kommentar

The OS comes with the laptop during purchase so the short answer is I don't know if this is AHCI or RAID mode. I can check the bios setting when I get home today. If there are better way to check via wmi or powershell, that may be useful.

2016-08-19 02:28 Aktualisiert von: None
Kommentar

I did a quick Google search and come up with this. It sounds like chicken and egg issue. If this is in raid mode (default), then changing the settings to AHCI may cause BSOD and this can be a bigger issue vs no CystalDiskInfo. Anyway, I'll confirm my laptop settings later today.

https://www.reddit.com/r/Dell/comments/4n1j7p/dell_xps_9550_pm951_problems_in_ahcinvme_mode/

2016-08-19 10:30 Aktualisiert von: hkok
Kommentar

Confirm as suspected, the default set to RAID. If I change the RAID On settings to AHCI, it warns about overwriting my Windows 10 partition render it unbootable. I choose not to do so yet and continue to search online for more details about how to do this safely and I found this interesting article about changing how to do this safely and found this article that I want to share with you. Since I just got this new laptop and I don't have the proper reinstallation/recovery disk, I choose not to change it yet until I have more time to work on this.

https://samnicholls.net/2016/01/14/how-to-switch-sata-raid-to-ahci-windows-10-xps-13/

Boot to Windows with your current SATA controller configuration Open Device Manager Expand Storage Controllers and identify the Intel SATA RAID Controller View properties of the identified controller On the Driver tab, click the Update driver… button Browse my computer…, Let me pick… Uncheck Show compatible hardware Select Microsoft as manufacturer Select Microsoft Storage Spaces Controller as model3 Accept that Windows cannot confirm that this driver is compatible Save changes, reboot to BIOS and change RAID SATA Controller to AHCI Save changes and reboot normally, hopefully to Windows

Confusingly, according to the AHCI article on Wikipedia: Intel recommends choosing RAID mode on their motherboards (which also enables AHCI) rather than AHCI/SATA mode for maximum flexibility.

If so, why can't CrystalDiskInfo support RAID ON setup by default?

2016-08-20 07:44 Aktualisiert von: hiyohiyo
Kommentar

I think your SSD is not NVMe mode. Sorry, CrystalDiskInfo does not support your SSD currently.

2016-09-23 04:45 Aktualisiert von: None
Kommentar

I think the SSD is fine. I think on XPS 13, I just need to tweak to bios settings which can be a chore to rebuild the OS. Anyway, some manufacturer has begun locking the settings into proprietary RAID mode making this virtually impossible to toggle to AHCI mode. Not sure if it makes sense for CrystalDiskInfo to see how much development effort is to require to support RAID otherwise the tools is only good in supporting legacy hardware only.

http://www.techrepublic.com/article/the-blame-game-lenovo-locked-linux-out-of-certain-microsofts-signature-hardware

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden